TTF_GetFontGeneration(3)

NAME
TTF_GetFontGeneration - Get the font generation.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

Uint32 TTF_GetFontGeneration(TTF_Font *font);

DESCRIPTION
The generation is incremented each time font properties change that require rebuilding glyphs, such as style, size, etc.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns the font generation or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.